Deactivates the SCIM token for a tenant without requiring the token itself.

This allows customers to turn off SCIM even if they cannot retrieve the token from their IDP. The underlying SCIM client is preserved, so a new token can be created via CreateSCIMToken afterwards. Permission level: tenant-admin

DELETE /clients/scim

Operation id: ClientService_DeactivateSCIMToken

Tags: ClientService

Parameters

Query parameters

NameTypeRequiredDescription
tenantIdstringNoTenant whose SCIM token should be deactivated, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}